---
updatedAt: 2026-04-20T23:23:25.000Z
agentTools:
  projectIndex: https://docs.derapi.com/llms.txt
---

# List EV Chargers

Returns a [paginated](/reference/overview#pagination) list of EV Chargers.

The returned list can be optionally filtered by vendor and vendor ID.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Derapi API Reference",
    "contact": {
      "name": "Derapi.com",
      "url": "https://derapi.com",
      "email": "sales@derapi.com"
    }
  },
  "servers": [
    {
      "url": "https://api.derapi.com"
    }
  ],
  "security": [
    {
      "DerapiAPIKey": []
    }
  ],
  "tags": [
    {
      "name": "EV Chargers",
      "description": "EV Charger monitoring endpoints"
    }
  ],
  "paths": {
    "/ev/chargers": {
      "get": {
        "tags": [
          "EV Chargers"
        ],
        "summary": "List EV Chargers",
        "description": "Returns a [paginated](/reference/overview#pagination) list of EV Chargers.\n\nThe returned list can be optionally filtered by vendor and vendor ID.\n",
        "operationId": "listChargers",
        "parameters": [
          {
            "$ref": "#/components/parameters/ChargerVendor"
          },
          {
            "$ref": "#/components/parameters/VendorID"
          },
          {
            "$ref": "#/components/parameters/PageSize"
          },
          {
            "$ref": "#/components/parameters/PageToken"
          },
          {
            "$ref": "#/components/parameters/Tags"
          },
          {
            "$ref": "#/components/parameters/HasTag"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListChargersResponse"
                }
              }
            }
          },
          "422": {
            "$ref": "#/components/responses/ValidationProblemResponse"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "DerapiAPIKey": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "description": "A Derapi-issued API key, provided in the Authorization header with a scheme of 'apikey'.\nFor example: 'Authorization: apikey sk-1234'\n",
        "x-default": "apikey sk-1234"
      }
    },
    "schemas": {
      "Tags": {
        "title": "Tags",
        "type": "object",
        "description": "A set of client-defined key-value pairs that can be attached to an object. Tags can be used for\nfiltering and organization.\n\nTags should not be used to store sensitive information (e.g., personally identifiable information or\nauthentication data).\n\nA maximum of 10 tags can be attached to an object\n\nKeys:\n- case sensitive\n- can only contain URL unreserved characters (letters, digits, hyphens, periods, underscores, and tildes)\n- at most 30 characters long\n\nValues:\n- case sensitive\n- can contain any UTF-8 character (but must be escaped in query parameters)\n- at most 100 characters long\n",
        "additionalProperties": {
          "type": "string",
          "maxLength": 100
        },
        "maxProperties": 10,
        "examples": [
          {
            "environment": "production",
            "team": "alpha"
          },
          {
            "project": "solar",
            "owner": "alice"
          }
        ]
      },
      "HasTag": {
        "title": "HasTag",
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "NextPageToken": {
        "description": "A token to request the next page, if any. If absent, there are no more pages.",
        "type": "string",
        "examples": [
          "dGhpc2lzYW5vcGFxdWV0b2tlbgo="
        ]
      },
      "SubError": {
        "title": "SubError",
        "type": "object",
        "properties": {
          "detail": {
            "type": "string",
            "description": "A human-readable explanation for this sub-problem.",
            "example": "-1 is less than the minimum of 0"
          },
          "pointer": {
            "type": "string",
            "description": "A pointer to the specific location within the request that triggered this sub-problem.\n\nFor errors in the request body, this will be a JSON Pointer. For query or path parameter errors,\nit will be the name of the parameter with the error, formatted as a JSON Pointer.\n",
            "example": "#/duration"
          },
          "in": {
            "title": "SubErrorIn",
            "type": "string",
            "enum": [
              "query",
              "path",
              "body"
            ],
            "description": "A string describing which part of the request this error was in.",
            "example": "path"
          }
        },
        "required": [
          "detail"
        ],
        "additionalProperties": false
      },
      "ValidationProblem": {
        "title": "ValidationProblem",
        "type": "object",
        "description": "This error is returned when the request submitted by the API caller did not conform\nto Derapi's API specification, or when it contained content which was otherwise semantically\ninvalid. Validation failures may derive from problems within the request body, path,\nor query string parameters.\n\nThe `detail` key will contain a summary of any validation failures, and the `errors`\nkey will contain a listing of each individual validation failure, with `detail` and\n`pointer` keys explaining the failure and providing a\n[JSON Pointer](https://datatracker.ietf.org/doc/html/rfc6901) to its source within the\nsubmitted document.\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri-reference",
            "const": "https://docs.derapi.com/reference/errors#validation",
            "description": "A URI reference that identifies the problem type.",
            "example": "https://docs.derapi.com/reference/errors#validation",
            "default": "https://docs.derapi.com/reference/errors#validation"
          },
          "title": {
            "type": "string",
            "description": "A short, human-readable summary of the problem type.",
            "const": "Validation Error",
            "example": "Validation Error",
            "default": "Validation Error"
          },
          "detail": {
            "type": "string",
            "description": "A human-readable explanation specific to this occurrence of the problem.",
            "example": "body: Additional properties are not allowed ('other' was unexpected)"
          },
          "errors": {
            "type": "array",
            "description": "At least one validation error which occurred while processing this request",
            "minLength": 1,
            "items": {
              "$ref": "#/components/schemas/SubError"
            }
          }
        },
        "required": [
          "type",
          "title",
          "detail",
          "errors"
        ],
        "additionalProperties": false,
        "examples": [
          {
            "type": "https://docs.derapi.com/reference/errors#validation",
            "title": "Validation Error",
            "detail": "body: Additional properties are not allowed ('other' was unexpected) (and 1 others)",
            "errors": [
              {
                "detail": "Additional properties are not allowed ('other' was unexpected)",
                "pointer": ""
              },
              {
                "detail": "-1 is less than the minimum of 0",
                "pointer": "/duration"
              }
            ]
          }
        ]
      },
      "ChargerID": {
        "type": "string",
        "description": "ID of the Charger. For multi-port systems, each port will be represented as a separate API object and have a unique ID.",
        "examples": [
          "chrg-ae02fl39bgdd8tmx"
        ],
        "pattern": "^chrg-[a-z0-9]+$"
      },
      "ChargerVendor": {
        "title": "ChargerVendor",
        "type": "string",
        "enum": [
          "chargepoint",
          "virtual"
        ],
        "examples": [
          "chargepoint"
        ]
      },
      "ChargerSummary": {
        "title": "ChargerSummary",
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/ChargerID"
          },
          "vendor": {
            "$ref": "#/components/schemas/ChargerVendor"
          },
          "vendorID": {
            "type": "string",
            "description": "The corresponding ID of the Charger in the vendor's system. Always a string; if the remote type is an integer, this will be a decimal representation of it.\n",
            "examples": [
              "123456"
            ]
          },
          "tags": {
            "$ref": "#/components/schemas/Tags"
          }
        },
        "additionalProperties": false,
        "required": [
          "id",
          "vendor",
          "vendorID",
          "tags"
        ]
      },
      "ListChargersResponse": {
        "title": "ListChargersResponse",
        "type": "object",
        "properties": {
          "chargers": {
            "description": "List of EV Chargers",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ChargerSummary"
            },
            "examples": [
              [
                {
                  "id": "chrg-ae02fl39bgdd8tmx",
                  "vendor": "chargepoint",
                  "vendorID": "123456",
                  "tags": {
                    "location": "SF",
                    "environment": "production"
                  }
                }
              ]
            ]
          },
          "nextPageToken": {
            "$ref": "#/components/schemas/NextPageToken"
          },
          "totalCount": {
            "type": "integer",
            "description": "Total number of EV Chargers available.",
            "examples": [
              42
            ]
          }
        },
        "required": [
          "chargers",
          "totalCount"
        ],
        "additionalProperties": false
      }
    },
    "parameters": {
      "VendorID": {
        "name": "vendorID",
        "description": "A vendor ID to filter for. Only valid if `vendor` also present.",
        "in": "query",
        "schema": {
          "type": "string"
        }
      },
      "PageSize": {
        "name": "pageSize",
        "in": "query",
        "schema": {
          "type": "integer",
          "format": "int32",
          "default": 50,
          "minimum": 1,
          "maximum": 100,
          "examples": [
            50
          ]
        }
      },
      "PageToken": {
        "name": "pageToken",
        "in": "query",
        "schema": {
          "type": "string",
          "examples": [
            "dGhpc2lzYW5vcGFxdWV0b2tlbgo="
          ]
        }
      },
      "Tags": {
        "name": "tags",
        "description": "Tags to filter for.",
        "in": "query",
        "style": "deepObject",
        "schema": {
          "$ref": "#/components/schemas/Tags"
        }
      },
      "HasTag": {
        "name": "hasTag",
        "description": "Tag keys to filter for.",
        "in": "query",
        "style": "form",
        "explode": true,
        "schema": {
          "$ref": "#/components/schemas/HasTag"
        }
      },
      "ChargerVendor": {
        "name": "vendor",
        "description": "A Charger vendor to filter for.",
        "in": "query",
        "schema": {
          "$ref": "#/components/schemas/ChargerVendor"
        }
      }
    },
    "responses": {
      "ValidationProblemResponse": {
        "description": "A validation error",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/ValidationProblem"
            }
          }
        }
      }
    }
  },
  "x-default-target-integration": "goapi"
}
```